API referenceLibrary
List Themes
The project's themes, most recently changed first. Filters: q, tags. Requires the read scope.
Authorization
apiKey AuthorizationBearer <token>
First-party API key (sbk_live_…), presented as a Bearer token.
In: header
Path Parameters
project_id*Project Id
Format
uuidQuery Parameters
q?|
Name search.
type?string|null
category?string|null
theme_id?|null
design_id?|null
recipe_id?|null
limit?Limit
Items per page
Range
1 <= value <= 100Default
20cursor?|
The next_cursor of the previous page; omit for the first page.
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/themes"{ "items": [ { "name": "string", "description": "string", "tags": [], "metadata": {}, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "thumbnail_url": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "world": { "constraints": { "horizontal": "grid", "vertical": "quantized" }, "unit_scale": 1, "padding": 0, "min_path_width": 1, "grid": { "cell_size": 1, "snap": "cell-center" }, "levels": { "height": 1, "count": 1 }, "heights": { "range": [ 0, 0 ], "max_step": 1 } }, "scene_parameters": {}, "designs": [], "parameters": {}, "design_ids": [], "design_count": 0 } ], "next_cursor": "string", "total": 0}